{% extends 'root.html' %}
{% block body %}
<h1>Chemistry Starters Registration custom token creation</h1>
<p>
This form allows generation of a new fully customized token.
</p>
<form method="POST">
 <div id="token-form">
{% for field in form %}
{% if field.type == 'CSRFTokenField' or field.type == 'HiddenField' %}
{{ field }}
{% else %}
  <div class="token-field">{{ field.label }}{{ field }}</div>
{% endif %}
{% endfor %}
 </div>
 <div class="token-submit">
  <input type="submit" name="submit" value="Generate token"/>
 </div>
</form>
{% if token is not none %}
<div class="custom-token">
<p>
<b>Token:</b> {{ token }}
</p>
{% endif %}
{{ mysalt }}
{% if url is not none %}
<p>
  <b>URL:</b> <a href="{{ url }}">{{ url }}</a>
</p>
</div>
{% endif %}
{% endblock %}
